QgsVectorLayer.featureCount() returns always zero with Python
Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15847

Description

The QgsVectorLayer.featureCount() method returns zero with python.

    1. Load a Postgis layer

    2. Select layer in legend

    3. Execute Python script in console:

from qgis.utils import iface

from PyQt4.QtCore import *

from PyQt4.QtGui import *

mc = iface.mapCanvas()

vlayer = mc.currentLayer()

vlayer.featureCount()

It returns the correct count of feature with python when show the features in the legend.

Works with QGIS 1.8.

History

#1 - 2012-11-12 02:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

if it is a regression in master please tag this as blocker.

#2 - 2012-11-12 02:43 AM - zicke -

- Priority changed from Normal to Severe/Regression

#3 - 2012-12-26 03:07 AM - Martin Dobias

Works for me - tried with a simple point layer. Isn't that specific to a particular layer / server? Is that a view? Are you using a query? Will it always return

zero even after some operations on layer, e.g. show attribute table?

#4 - 2013-01-06 03:19 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed
Works for me too. Closing for the lack of feedback.
